Debian Bug report logs - #356502
manpages-dev: sendmsg(2) and recvmsg(2) incorrct description of struct msghdr

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Paul Brook <paul@nowt.org>

Date: Sun, 12 Mar 2006 14:03:12 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages-dev/2.19-1

Fixed in version manpages/2.26-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#356502; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Paul Brook <paul@nowt.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Brook <paul@nowt.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: sendmsg(2) and recvmsg(2) incorrct description of struct msghdr
Date: Sun, 12 Mar 2006 13:57:13 +0000
Package: manpages-dev
Version: 2.19-1
Severity: normal


The sendmsg(2) and recvmsg(2) contain an incorrect desctiption of
struct msghdr.

The manpage says:

  socklen_t    msg_controllen; /* ancillary data buffer len */

Whereas the actual implementaton (from {x86_64-linux-gnu/,}bits/socket.h) is:

  size_t msg_controllen; /*...*/

Ths makes a difference on 64-bit targets.

Paul

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-w64
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)

Versions of packages manpages-dev depends on:
ii  manpages                      2.19-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#356502; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 356502@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Paul Brook <paul@nowt.org>,356502@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#356502: manpages-dev: sendmsg(2) and recvmsg(2) incorrct description of struct msghdr
Date: Sun, 12 Mar 2006 20:11:28 +0100 (MET)
tags 356502 fixed-upstream
thanks

Paul,

> The sendmsg(2) and recvmsg(2) contain an incorrect desctiption of
> struct msghdr.
> 
> The manpage says:
> 
>   socklen_t    msg_controllen; /* ancillary data buffer len */
> 
> Whereas the actual implementaton (from {x86_64-linux-gnu/,}bits/socket.h)
> is:
> 
>   size_t msg_controllen; /*...*/
> 
> Ths makes a difference on 64-bit targets.

Hmmm...  POSIX.1 says it should be socklen_t, but as you point out,
the Linux/glibc reality is size_t, and has been so at least as far 
back as glibc 2.0.  So, I've raised a glibc bug:

http://sourceware.org/bugzilla/show_bug.cgi?id=2448

And in the meantime, I have added a NOTE to these two pages
pointing out that glibc actually uses size_t instead of
socklen_t.  (I have left the structure defintion the same,
because it is what POSIX specifies, and merely pointed
out the deviation under the NOTE).

The man-pages changes will be in upstream 2.26.

Thanks for your report Paul.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul Brook <paul@nowt.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 356502-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 356502-close@bugs.debian.org
Subject: Bug#356502: fixed in manpages 2.26-1
Date: Fri, 28 Apr 2006 06:47:40 -0700
Source: manpages
Source-Version: 2.26-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.26-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.26-1_all.deb
manpages_2.26-1.diff.gz
  to pool/main/m/manpages/manpages_2.26-1.diff.gz
manpages_2.26-1.dsc
  to pool/main/m/manpages/manpages_2.26-1.dsc
manpages_2.26-1_all.deb
  to pool/main/m/manpages/manpages_2.26-1_all.deb
manpages_2.26.orig.tar.gz
  to pool/main/m/manpages/manpages_2.26.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 356502@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 28 Apr 2006 15:23:35 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.26-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 356502
Changes: 
 manpages (2.26-1) unstable; urgency=low
 .
   * New upstream source
   * Added POSIX note to recv(2) (Closes: Bug#356502)
Files: 
 75d600217927ebd1b4aa1dc697f529ff 586 doc - manpages_2.26-1.dsc
 cd044b89f6557fa565f4803226d5f067 1129495 doc - manpages_2.26.orig.tar.gz
 9913b92cee5a179112723c9ccbeeff2b 57947 doc - manpages_2.26-1.diff.gz
 025809e6f32e4880076f55461564abec 431186 doc important manpages_2.26-1_all.deb
 8089ec2886bbd92091be366ecf85270f 1159790 doc standard manpages-dev_2.26-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEUhquW5ql+IAeqTIRAsaMAKCfxcbgRzjRlF+3DIaPg8+tdazMUgCbB3Y/
Fz/SSr6PUHD9wOA7q5pDsGc=
=RHGV
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 09:00:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:10:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.